/* frontend.h - header for the jvterm child interface
 *
 * Copyright (C) 2003  Jochen Voss.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 *
 * $Id: frontend.h 6725 2005-11-09 23:15:58Z voss $
 */

#ifndef FILE_FRONTEND_H_SEEN
#define FILE_FRONTEND_H_SEEN

#include <sys/types.h>

/* terminal.c */

struct  shell_info {
  const char *lc_ctype;		/* the child's character encoding */
  const char *shell;		/* the program to run */
  int  meta_mode;		/* flag: use meta mode if non-zero */
  int  cols, rows;		/* pass this screen size to the child */
};

extern  int  spawn_shell (struct shell_info *info, pid_t *pid_return);

#endif /* FILE_FRONTEND_H_SEEN */
